// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/rails/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery2
//= require jquery_ujs
//= require angular/angular
//= require angular-animate/angular-animate
//= require angular-aria/angular-aria
//= require angular-material/angular-material
//= require angular-messages/angular-messages
//= require angular-ui-router/release/angular-ui-router
//= require Chart.js/Chart
//= require angular-chart.js/angular-chart
//= require angular-country-picker/country-picker
//= require environment
//= require voxality
//= require_self
//= require_tree .

Stripe.setPublishableKey(window.stripePublishableKey)

window.Voxality = {
  currentUser: {
    id: 0,
    email: ""
  },

  API: {
    temporaryToken: "",
    developmentToken: "",

    getToken: function() {
      var devToken = window.Voxality.API.developmentToken;
      var tempToken = window.Voxality.API.temporaryToken;
      if (devToken != "") {
        return devToken;
      } else {
        return tempToken;
      }
    }
  }
}
