(function() {
  angular.module('Navigation')
    .provider('$menu', function() {
      var menuItems = [];

      this.menuItem = function(item) {
        menuItems.push(item);
      };

      this.$get = function() {
        return {
          items: menuItems.sort(function(a, b) {
            if (a.priority == null) {
              a.priority = 0;
            }
            if (b.priority == null) {
              b.priority = 0;
            }
            return b.priority - a.priority;
          })
        }
      }
    });
}).call(this);
