# Application controller, global controller
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

  def common
    render partial: '/common.html.erb'
  end

  def default
    respond_to do |format|
      format.html { render template: 'default.html.erb' }
    end
  end
end
