'use strict';

angular.module('voxality')
    .config([
        '$mdThemingProvider',
        function ($mdThemingProvider) {
            $mdThemingProvider.setDefaultTheme('voxality');

            //Buttons can only use 'default' theme
            $mdThemingProvider
                .theme('default')
                .primaryPalette('teal')
                .accentPalette('blue')
                .warnPalette('red');

            //The default theme for everything else
            $mdThemingProvider
              .theme('voxality')
              .primaryPalette('teal')
              .accentPalette('indigo')
              .warnPalette('red')
              .backgroundPalette('grey');
        }
])
